Subject: RE: Problems with .EXE files overriding shell scripts in PATH.
From: "Sergio Del Rio" <[email-masked]>
To: "'Mark Hadfield'" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 30 Apr 2001 14:14:18 -0700

The output from uname -a is:

CYGWIN_NT-5.0 SDELRIO 1.1.8(0.34/3/2) 2001-01-31 10:08 i686 unknown

Regards,
Sergio Del Rio
Templates 4 Business Inc.

-----Original Message-----
From: Mark Hadfield [mailto:[email-masked]]
Sent: April 30, 2001 2:09 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: Problems with .EXE files overriding shell scripts in PATH.

> Sergio Del Rio wrote:
> >
> > For the most part, all shell scripts that I have are found by bash if
they
> > are in the PATH.
> >
> > I am trying to write a script that overrides an existing SQLPLUS.EXE
file
> > that is also in the path. I created a script called sqlplus and placed
it
> > into /usr/local/bin which is the first thing in the path. What I notice
is
> > that the sqlplus shell script is not getting executed at all, the system
is
> > executing the SQLPLUS.EXE program which is found later on in the path.

Cygwin *used* to do this. (The current Net release doesn't. I don't recall
when it was fixed.)

What version are you running?

---
Mark Hadfield
[email-masked]  http://katipo.niwa.cri.nz/~hadfield
National Institute for Water and Atmospheric Research

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple